#!/bin/sh

DESTDIR="`dirname "$0"`"

REF=commit/cbb097019deb25eb966932ee293d89417482d8bc
CURL=curl

for KEY in keyGen encapDecap; do
    FILENAME="$DESTDIR"/$KEY.json.gz
    URL=https://codeberg.org/ocheron/hs-mlkem/raw/$REF/tests/$KEY.json.gz

    "$CURL" --silent -o "$FILENAME" "$URL" || exit $?
done
